Bug 256869 - Selecting Podcast view crashes Amarok; ditto for Saved Playlist [@ PlaylistBrowserNS::PlaylistBrowserView::viewportEvent]
Summary: Selecting Podcast view crashes Amarok; ditto for Saved Playlist [@ PlaylistBr...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Podcast (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 262550 262652 293558 299649 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-11-14 06:38 UTC by Valorie Zimmerman
Modified: 2012-06-07 16:24 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Valorie Zimmerman 2010-11-14 06:38:59 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.5.3 (KDE 4.5.3)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-22-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed: Had just saved a podcast which I found through the podcast directory. Found another RSS feed on the Internet, so was going to add that one in the Podcast area, but Amarok crashed. This the second time today that it has crashed when I selected Podcasts, so decided to file a bug.

Also running Firefox and Konversation.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f47c6cb8780 (LWP 5331))]

Thread 13 (Thread 0x7f47a3e3f710 (LWP 5332)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f47aa7ff0d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f47a363e710 (LWP 5333)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f47a363da50 in ?? ()
#2  0x00007fffc3d50852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 11 (Thread 0x7f47a2c38710 (LWP 5334)):
#0  0x00007f47c37961d3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f47b997040f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f47b995fd76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f47b99617f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f47b99618b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f47b997020b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f47b3a17fb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f479e436710 (LWP 5335)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47aa80fe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f479d82b710 (LWP 5336)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47aa80fe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f479d02a710 (LWP 5337)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47aa80fe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f47973f5710 (LWP 5339)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47c3fd0e3b in wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f47c06a7524 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x22f37b0, th=0x22f3fd0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f47c06aa72b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x22f3fd0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f47c06a8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f47973f4de0, parent=0x22f37b0, th=0x22f3fd0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f47c06a91f8 in ThreadWeaver::Thread::run (this=0x22f3fd0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f47c3fd027e in QThreadPrivate::start (arg=0x22f3fd0) at thread/qthread_unix.cpp:266
#8  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4790921710 (LWP 5340)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47c3fd0e3b in wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f47c06a7524 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x22f37b0, th=0x25b69d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f47c06aa72b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x25b69d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x25b69d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f47c06a8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f4790920de0, parent=0x22f37b0, th=0x25b69d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f47c06a91f8 in ThreadWeaver::Thread::run (this=0x25b69d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f47c3fd027e in QThreadPrivate::start (arg=0x25b69d0) at thread/qthread_unix.cpp:266
#9  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f478bb38710 (LWP 5343)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47bf005334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f47bf310160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f47bf005369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f47bf31e234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f478c339710 (LWP 5347)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47c3fd0e3b in wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f47c06a7524 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x22f37b0, th=0x7f47986abc40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f47c06aa72b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f47986abc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f47986abc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f47986abc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f47c06a8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f478c338de0, parent=0x22f37b0, th=0x7f47986abc40) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f47c06a91f8 in ThreadWeaver::Thread::run (this=0x7f47986abc40) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f47c3fd027e in QThreadPrivate::start (arg=0x7f47986abc40) at thread/qthread_unix.cpp:266
#10 0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f477de14710 (LWP 5349)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f47c3fd0e3b in wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x22f3ba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f47c06a7524 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x22f37b0, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f47c06aa72b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f47c06aa744 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1db7700, th=0x7f4798135c90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f47c06a8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f477de13de0, parent=0x22f37b0, th=0x7f4798135c90) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x00007f47c06a91f8 in ThreadWeaver::Thread::run (this=0x7f4798135c90) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f47c3fd027e in QThreadPrivate::start (arg=0x7f4798135c90) at thread/qthread_unix.cpp:266
#12 0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4776eba710 (LWP 5359)):
#0  0x00007f47c37961d3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f47bc821009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f47bc82145c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f47c40f01e6 in QEventDispatcherGlib::processEvents (this=0x7f477802f320, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f47c40c2a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f47c40c2dec in QEventLoop::exec (this=0x7f4776eb9d90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f47c3fcd2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f47c40a25f8 in QInotifyFileSystemWatcherEngine::run (this=0x351cb50) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f47c3fd027e in QThreadPrivate::start (arg=0x351cb50) at thread/qthread_unix.cpp:266
#9  0x00007f47c129c971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f47c37a291d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f47c6cb8780 (LWP 5331)):
[KCrash Handler]
#6  QModelIndex (this=0x26c4950, child=...) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:65
#7  QSortFilterProxyModel::parent (this=0x26c4950, child=...) at itemviews/qsortfilterproxymodel.cpp:1656
#8  0x00007f47c500e251 in parent (this=0x26fb3a0, index=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:389
#9  QTreeView::indexRowSizeHint (this=0x26fb3a0, index=<value optimized out>) at itemviews/qtreeview.cpp:2758
#10 0x00007f47c500e9ac in QTreeViewPrivate::itemHeight (this=0x27361d0, item=7) at itemviews/qtreeview.cpp:3229
#11 0x00007f47c500ec5f in QTreeViewPrivate::updateScrollBars (this=0x27361d0) at itemviews/qtreeview.cpp:3452
#12 0x00007f47c500f034 in QTreeView::updateGeometries (this=0x26fb3a0) at itemviews/qtreeview.cpp:2686
#13 0x00007f47c4acfc60 in QWidget::event (this=0x26fb3a0, event=0x7fffc3d06510) at kernel/qwidget.cpp:8341
#14 0x00007f47c4e9b5e6 in QFrame::event (this=0x26fb3a0, e=0x7fffc3d06510) at widgets/qframe.cpp:557
#15 0x00007f47c4fd4a8b in QAbstractItemView::viewportEvent (this=0x26fb3a0, event=0x7fffc3d06510) at itemviews/qabstractitemview.cpp:1619
#16 0x00007f47c5012d65 in QTreeView::viewportEvent (this=0x26fb3a0, event=0x7fffc3d06510) at itemviews/qtreeview.cpp:1256
#17 0x00007f47c5aa9c95 in PlaylistBrowserNS::PlaylistBrowserView::viewportEvent (this=0x26fb3a0, event=0x7fffc3d06510) at /home/valorie/kde/src/amarok/src/browsers/playlistbrowser/PlaylistBrowserView.cpp:320
#18 0x00007f47c40c3507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x26e1b20, event=0x7fffc3d06510) at kernel/qcoreapplication.cpp:847
#19 0x00007f47c4a79fac in QApplicationPrivate::notify_helper (this=0x190dbd0, receiver=0x26e1b20, e=0x7fffc3d06510) at kernel/qapplication.cpp:4392
#20 0x00007f47c4a7faed in QApplication::notify (this=0x7fffc3d09b10, receiver=0x26e1b20, e=0x7fffc3d06510) at kernel/qapplication.cpp:4277
#21 0x00007f47c66cf526 in KApplication::notify (this=0x7fffc3d09b10, receiver=0x26e1b20, event=0x7fffc3d06510) at ../../kdeui/kernel/kapplication.cpp:310
#22 0x00007f47c40c3cdc in QCoreApplication::notifyInternal (this=0x7fffc3d09b10, receiver=0x26e1b20, event=0x7fffc3d06510) at kernel/qcoreapplication.cpp:732
#23 0x00007f47c4aceccb in sendEvent (this=0x26e1b50, recursive=false, disableUpdates=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#24 QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x26e1b50, recursive=false, disableUpdates=false) at kernel/qwidget.cpp:7257
#25 0x00007f47c4ad3e23 in QWidgetPrivate::show_helper (this=0x7fffc3d05460) at kernel/qwidget.cpp:7308
#26 0x00007f47c4ad569a in QWidget::setVisible (this=0x26e1b20, visible=<value optimized out>) at kernel/qwidget.cpp:7589
#27 0x00007f47c4ad42b6 in show (this=<value optimized out>, spontaneous=false) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:487
#28 QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7677
#29 0x00007f47c4ad3e3f in QWidgetPrivate::show_helper (this=0x27361d0) at kernel/qwidget.cpp:7314
#30 0x00007f47c4ad569a in QWidget::setVisible (this=0x26fb3a0, visible=<value optimized out>) at kernel/qwidget.cpp:7589
#31 0x00007f47c4ad42b6 in show (this=<value optimized out>, spontaneous=false) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:487
#32 QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7677
#33 0x00007f47c4ad3e3f in QWidgetPrivate::show_helper (this=0x2748e60) at kernel/qwidget.cpp:7314
#34 0x00007f47c4ad569a in QWidget::setVisible (this=0x26e62a0, visible=<value optimized out>) at kernel/qwidget.cpp:7589
#35 0x00007f47c574d63e in QWidget::show (this=0x26e62a0) at /usr/include/qt4/QtGui/qwidget.h:487
#36 0x00007f47c5750ff3 in BrowserCategoryList::showCategory (this=0x2485c90, name=...) at /home/valorie/kde/src/amarok/src/browsers/BrowserCategoryList.cpp:170
#37 0x00007f47c5751f0e in BrowserCategoryList::activate (this=0x2485c90, category=0x26e62a0) at /home/valorie/kde/src/amarok/src/browsers/BrowserCategoryList.cpp:353
#38 0x00007f47c574f167 in BrowserCategory::activate (this=0x26e62a0) at /home/valorie/kde/src/amarok/src/browsers/BrowserCategory.cpp:116
#39 0x00007f47c574f4e3 in BrowserCategory::qt_metacall (this=0x26e62a0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffc3d06bf0) at /home/valorie/kde/build/amarok/src/BrowserCategory.moc:73
#40 0x00007f47c5a99b59 in PlaylistBrowserNS::PlaylistBrowserCategory::qt_metacall (this=0x26e62a0, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0x7fffc3d06bf0) at /home/valorie/kde/build/amarok/src/PlaylistBrowserCategory.moc:77
#41 0x00007f47c5ac2d83 in PlaylistBrowserNS::PodcastCategory::qt_metacall (this=0x26e62a0, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0x7fffc3d06bf0) at /home/valorie/kde/build/amarok/src/PodcastCategory.moc:70
#42 0x00007f47c40dbb27 in QMetaObject::activate (sender=0x39efd60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x26c4950) at kernel/qobject.cpp:3280
#43 0x00007f47c4a72852 in QAction::triggered (this=0x7fffc3d05460, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#44 0x00007f47c4a73f5b in QAction::activate (this=0x39efd60, event=<value optimized out>) at kernel/qaction.cpp:1256
#45 0x00007f47c4edadc1 in QMenuPrivate::activateCausedStack (this=<value optimized out>, causedStack=..., action=0x39efd60, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#46 0x00007f47c4ee0782 in QMenuPrivate::activateAction (this=0x39f5380, action=0x39efd60, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1085
#47 0x00007f47c4ad004e in QWidget::event (this=0x39ede70, event=0x7fffc3d076a0) at kernel/qwidget.cpp:8187
#48 0x00007f47c4ee290b in QMenu::event (this=0x39ede70, e=0x7fffc3d076a0) at widgets/qmenu.cpp:2410
#49 0x00007f47c4a79fdc in QApplicationPrivate::notify_helper (this=0x190dbd0, receiver=0x39ede70, e=0x7fffc3d076a0) at kernel/qapplication.cpp:4396
#50 0x00007f47c4a8030e in QApplication::notify (this=0x7fffc3d09b10, receiver=0x39ede70, e=0x7fffc3d076a0) at kernel/qapplication.cpp:3959
#51 0x00007f47c66cf526 in KApplication::notify (this=0x7fffc3d09b10, receiver=0x39ede70, event=0x7fffc3d076a0) at ../../kdeui/kernel/kapplication.cpp:310
#52 0x00007f47c40c3cdc in QCoreApplication::notifyInternal (this=0x7fffc3d09b10, receiver=0x39ede70, event=0x7fffc3d076a0) at kernel/qcoreapplication.cpp:732
#53 0x00007f47c4a7edbe in sendEvent (receiver=0x39ede70, event=0x7fffc3d076a0, alienWidget=0x0, nativeWidget=0x39ede70, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QApplicationPrivate::sendMouseEvent (receiver=0x39ede70, event=0x7fffc3d076a0, alienWidget=0x0, nativeWidget=0x39ede70, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#55 0x00007f47c4b027bd in QETWidget::translateMouseEvent (this=0x39ede70, event=<value optimized out>) at kernel/qapplication_x11.cpp:4337
#56 0x00007f47c4b00c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffc3d07fc0) at kernel/qapplication_x11.cpp:3536
#57 0x00007f47c4b2d0e2 in x11EventSourceDispatch (s=0x1915f80, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#58 0x00007f47bc81d342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#59 0x00007f47bc8212a8 in ?? () from /lib/libglib-2.0.so.0
#60 0x00007f47bc82145c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#61 0x00007f47c40f0193 in QEventDispatcherGlib::processEvents (this=0x17b1f90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#62 0x00007f47c4b2ca4e in QGuiEventDispatcherGlib::processEvents (this=0x7fffc3d05460, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x00007f47c40c2a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#64 0x00007f47c40c2dec in QEventLoop::exec (this=0x7fffc3d082f0, flags=) at kernel/qeventloop.cpp:201
#65 0x00007f47c4eddec5 in QMenu::exec (this=0x39ede70, p=<value optimized out>, action=0x0) at widgets/qmenu.cpp:2054
#66 0x00007f47c4eedb82 in QPushButtonPrivate::_q_popupPressed (this=0x39f4420) at widgets/qpushbutton.cpp:592
#67 0x00007f47c4eef0aa in QPushButton::qt_metacall (this=0x39f3f60, _c=QMetaObject::InvokeMetaMethod, _id=-858993460, _a=0x7fffc3d08510) at .moc/release-shared/moc_qpushbutton.cpp:80
#68 0x00007f47c5ce3cd3 in Amarok::ElidingButton::qt_metacall (this=0x39f3f60, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0x7fffc3d08510) at /home/valorie/kde/build/amarok/src/ElidingButton.moc:67
#69 0x00007f47c5cdb55f in BreadcrumbItemButton::qt_metacall (this=0x39f3f60, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0x7fffc3d08510) at /home/valorie/kde/build/amarok/src/BreadcrumbItemButton.moc:66
#70 0x00007f47c5cdb63b in BreadcrumbItemMenuButton::qt_metacall (this=0x39f3f60, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0x7fffc3d08510) at /home/valorie/kde/build/amarok/src/BreadcrumbItemButton.moc:115
#71 0x00007f47c40dbb27 in QMetaObject::activate (sender=0x39f3f60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x26c4950) at kernel/qobject.cpp:3280
#72 0x00007f47c4e51ade in QAbstractButtonPrivate::emitPressed (this=0x39f4420) at widgets/qabstractbutton.cpp:560
#73 0x00007f47c4e51cbc in QAbstractButton::mousePressEvent (this=0x39f3f60, e=0x7fffc3d08e60) at widgets/qabstractbutton.cpp:1096
#74 0x00007f47c4ad0035 in QWidget::event (this=0x39f3f60, event=0x7fffc3d08e60) at kernel/qwidget.cpp:8183
#75 0x00007f47c4a79fdc in QApplicationPrivate::notify_helper (this=0x190dbd0, receiver=0x39f3f60, e=0x7fffc3d08e60) at kernel/qapplication.cpp:4396
#76 0x00007f47c4a8030e in QApplication::notify (this=0x7fffc3d09b10, receiver=0x39f3f60, e=0x7fffc3d08e60) at kernel/qapplication.cpp:3959
#77 0x00007f47c66cf526 in KApplication::notify (this=0x7fffc3d09b10, receiver=0x39f3f60, event=0x7fffc3d08e60) at ../../kdeui/kernel/kapplication.cpp:310
#78 0x00007f47c40c3cdc in QCoreApplication::notifyInternal (this=0x7fffc3d09b10, receiver=0x39f3f60, event=0x7fffc3d08e60) at kernel/qcoreapplication.cpp:732
#79 0x00007f47c4a7edbe in sendEvent (receiver=0x39f3f60, event=0x7fffc3d08e60, alienWidget=0x39f3f60, nativeWidget=0x2347d60, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#80 QApplicationPrivate::sendMouseEvent (receiver=0x39f3f60, event=0x7fffc3d08e60, alienWidget=0x39f3f60, nativeWidget=0x2347d60, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#81 0x00007f47c4b02345 in QETWidget::translateMouseEvent (this=0x2347d60, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#82 0x00007f47c4b00c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffc3d09780) at kernel/qapplication_x11.cpp:3536
#83 0x00007f47c4b2d0e2 in x11EventSourceDispatch (s=0x1915f80, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#84 0x00007f47bc81d342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#85 0x00007f47bc8212a8 in ?? () from /lib/libglib-2.0.so.0
#86 0x00007f47bc82145c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#87 0x00007f47c40f0193 in QEventDispatcherGlib::processEvents (this=0x17b1f90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#88 0x00007f47c4b2ca4e in QGuiEventDispatcherGlib::processEvents (this=0x7fffc3d05460, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#89 0x00007f47c40c2a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#90 0x00007f47c40c2dec in QEventLoop::exec (this=0x7fffc3d09ab0, flags=) at kernel/qeventloop.cpp:201
#91 0x00007f47c40c6ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#92 0x000000000040b322 in main (argc=3, argv=0x7fffc3d0baf8) at /home/valorie/kde/src/amarok/src/main.cpp:245

This bug may be a duplicate of or related to bug 252597, bug 254054.

Possible duplicates by query: bug 256442, bug 256386, bug 255121, bug 254978, bug 254970.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-11-16 22:21:03 UTC
Confirmed. It sadly is not reproducible every time, I already filed this as bug 252622 and closed it since it works most of the time for me.
Comment 2 Valorie Zimmerman 2010-11-17 11:58:14 UTC
Oddly enough I haven't had another crash like this since I filed the bug. I don't know if updates fixed it, or chance, or what, but those two crashes within the hour were the last.
Comment 3 Myriam Schweingruber 2010-11-17 12:30:01 UTC
Closing as fixed for now, feel free to reopen if you can reproduce this crash.
Comment 4 Myriam Schweingruber 2011-01-08 19:21:58 UTC
*** Bug 262550 has been marked as a duplicate of this bug. ***
Comment 5 Myriam Schweingruber 2011-01-11 20:12:49 UTC
*** Bug 262652 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2012-02-09 21:26:45 UTC
*** Bug 293558 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2012-02-09 21:28:39 UTC
Reopening based on duplicate bug 293558
Comment 8 Myriam Schweingruber 2012-05-09 14:12:54 UTC
*** Bug 299649 has been marked as a duplicate of this bug. ***
Comment 9 Bart Cerneels 2012-06-05 13:10:51 UTC
Git commit e4c09dd3d207e7de4c9db2cd382746f98764c0dd by Bart Cerneels.
Committed on 05/06/2012 at 14:54.
Pushed by shanachie into branch 'master'.

Apply update from QtGroupingProxy.

commit 42febf5 from https://gitorious.org/qtgroupingproxy/qtgroupingproxy
	Call endRemoveRows in reverse order as begin...

	This is a hack, because beginRemoveRows() should always be followed
	by endRemoveRows() before the next remove. But since QAbstractItemView
	uses a stack to apply changes it works with those. Might break proxyies
	though.

Possible fix for SortFilterProxy crashes.
Related: bug 300977
FIXED-IN:2.6

M  +40   -16   src/browsers/playlistbrowser/QtGroupingProxy.cpp

http://commits.kde.org/amarok/e4c09dd3d207e7de4c9db2cd382746f98764c0dd
Comment 10 Bart Cerneels 2012-06-06 17:50:09 UTC
Git commit afaf42eb065074ed4c0b023e602f4e08f63c4d43 by Bart Cerneels.
Committed on 05/06/2012 at 14:54.
Pushed by shanachie into branch 'master'.

Apply update from QtGroupingProxy.

commit 42febf5 from https://gitorious.org/qtgroupingproxy/qtgroupingproxy
	Call endRemoveRows in reverse order as begin...

	This is a hack, because beginRemoveRows() should always be followed
	by endRemoveRows() before the next remove. But since QAbstractItemView
	uses a stack to apply changes it works with those. Might break proxyies
	though.

Fixes QVector crash in QSortFilterProxyModel with Qt debug builds.
Related: bug 300977
FIXED-IN:2.6

M  +3    -2    src/browsers/playlistbrowser/PlaylistBrowserCategory.cpp
M  +1    -5    src/browsers/playlistbrowser/PlaylistBrowserModel.cpp
M  +13   -2    src/browsers/playlistbrowser/PlaylistsByProviderProxy.cpp
M  +1    -0    src/browsers/playlistbrowser/PlaylistsByProviderProxy.h
M  +2    -2    src/browsers/playlistbrowser/PlaylistsInFoldersProxy.cpp
M  +91   -44   src/browsers/playlistbrowser/QtGroupingProxy.cpp
M  +14   -11   src/browsers/playlistbrowser/QtGroupingProxy.h

http://commits.kde.org/amarok/afaf42eb065074ed4c0b023e602f4e08f63c4d43
Comment 11 Myriam Schweingruber 2012-06-07 16:24:01 UTC
Closing, feel free to reopen if it is still reproducible in current git.